#!/usr/bin/env python
# -*- coding: utf-8 -*-

#
# Copyright (C) 2011 Anders Engström <ankan@ankan.eu>
#
# This file is part of pstorytime.
#
# pstorytime is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# pstorytime is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with pstorytime.  If not, see <http://www.gnu.org/licenses/>.

from distutils.core import setup
import version
import template

version = version.get_git_version()

template.generate('pstorytime/version.py',
                  'pstorytime/version.py.in',
                  {'version':version})

setup(name='pstorytime',
      version=version,
      description='A logging console audiobook player based on gstreamer with a curses interface.',
      url='https://github.com/ankaan/pstorytime',
      long_description='pstorytime is an audiobook API/console player written in python that uses gstreamer as backend. It stores all events like play, pause and seek together with walltime, filename and position in file. It also autosaves the position while playing to recover from crashes without loosing the position. This allows the user to retrace his/her steps and minimizes the risk of getting lost. Furthermore, it treats all files as a continuous stream so that seeking can be made seamlessly between different files.',
      author='Anders Engström',
      author_email='ankan@ankan.eu',
      packages=['pstorytime'],
      package_data={'pstorytime': ['data/*.txt','data/*.png']},
      scripts=['scripts/pstorytime'],
      license='GPL',
      platforms=['Unix'])
